package cn.com.qmth.stmms.biz.exam.model;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 主观题得分详情状态
 */
@Entity
@Table(name = "eb_subjective_score")
public class SubjectiveScore implements Serializable {

    private static final long serialVersionUID = 6637010422161820147L;

    @EmbeddedId
    private SubjectiveScorePK pk;

    /**
     * 考试ID
     */
    @Column(name = "exam_id", nullable = false)
    private Integer examId;

    /**
     * 科目代码
     */
    @Column(name = "subject_code", length = 32, nullable = false)
    private String subjectCode;

    /**
     * 分组序号
     */
    @Column(name = "group_number", nullable = false)
    private Integer groupNumber;

    /**
     * 分组总分
     */
    @Column(name = "group_score", nullable = false)
    private Double groupScore;

    /**
     * 大题总分
     */
    @Column(name = "main_score", nullable = false)
    private Double mainScore;

    /**
     * 小题得分
     */
    @Column(name = "score", nullable = false)
    private Double score;

    public SubjectiveScore() {
        this.pk = new SubjectiveScorePK();
    }

    public Integer getStudentId() {
        return pk.getStudentId();
    }

    public void setStudentId(Integer studentId) {
        this.pk.setStudentId(studentId);
    }

    public Integer getMainNumber() {
        return pk.getMainNumber();
    }

    public void setMainNumber(Integer mainNumber) {
        this.pk.setMainNumber(mainNumber);
    }

    public String getSubNumber() {
        return pk.getSubNumber();
    }

    public void setSubNumber(String subNumber) {
        this.pk.setSubNumber(subNumber);
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Double getGroupScore() {
        return groupScore;
    }

    public void setGroupScore(Double groupScore) {
        this.groupScore = groupScore;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Double getMainScore() {
        return mainScore;
    }

    public void setMainScore(Double mainScore) {
        this.mainScore = mainScore;
    }
}
