package cn.com.qmth.stmms.biz.exam.service;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import cn.com.qmth.stmms.biz.exam.query.ExamStudentSearchQuery;
import cn.com.qmth.stmms.common.enums.SubjectiveStatus;

import java.util.List;

public interface InspectedService {

    List<ExamStudent> findByQuery(ExamStudentSearchQuery query, SubjectiveStatus status, Integer mainNumber,
            Double mainStartScore, Double mainEndScore, Double questionScore, boolean unselective);

    Integer countByQuery(ExamStudentSearchQuery query, SubjectiveStatus status, Integer mainNumber,
            Double mainStartScore, Double mainEndScore, Double questionScore, boolean unselective);

    void releaseByUserId(Integer examId, String subjectCode, Integer userId);

    void releaseByStudent(ExamStudent student);

    /**
     * 申请领取某个任务
     */
    boolean applyStudent(ExamStudent student, Integer userId);

    /**
     * 是否已领取了某个任务
     */
    boolean hasApplied(ExamStudent student, Integer userId);

}
