<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>试题列表</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
	<%-- <%@include file="/WEB-INF/views/include/examInfoNavTabs.jsp" %> --%>
	<form id="inputForm" action="${ctx}/admin/exam/selectiveGroup/add" method="post" class="breadcrumb form-search">
		<input name="subjectCode" value="${subject.code}" type="hidden"/>
		<div>
			<label>科目：${subject.code}-${subject.name}</label>
			<label>客观总分：${subject.objectiveScore}</label>
			<label>主观总分：${subject.subjectiveScore}</label>
			<label>试卷总分：${subject.totalScore}</label>
			&nbsp;		
			<a class="btn" href="${ctx}/admin/exam/paper">返回</a>
			&nbsp;
			<a href="${ctx}/admin/exam/selectiveGroup/clear?subjectCode=${subject.code}" class="delete-button btn">清空选做题分组设置</a>
		</div>
		<div>
		<label>合分数量：</label><input name="selectiveCount" min="1" class="digits" type="number" id="selectiveCount" value="${selectiveCount }"/> 
		<a id="btnSubmit" href="##" class="btn btn-primary">确定</a>
		
		</div>
		<br/>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>大题名称</th>
				<th>大题号</th>
				<th>满分</th>
				<th>选择</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${questions}" var="question">
			<tr>
				<td>${question.mainTitle}</td>
				<td>${question.mainNumber}</td>
				<td><fmt:formatNumber pattern="###.#" value="${question.totalScore}"/></td>
				<td><input type="checkbox" name="mainNumbers" value = ${question.mainNumber }  <c:if test="${question.selective}"> checked</c:if>/>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	</form>
<script type="text/javascript">
$('#btnSubmit').click(function () {
	var check_list = []
	$("input[name='mainNumbers']:checked").each(function(){
    	if($(this).val()!=""){
    		check_list.push($(this).val())
		}
	})
    if(check_list.length==0) {
        alert('请选择题目');
        return false;
    }
	var count = $("#selectiveCount").val();
	if(count==null ||count==""){
		alert("合分数量不能为空");
		return;
	}
	if(!(/(^[1-9]\d*$)/.test(count))){
		alert("合分数量必须是正整数");
		return;
	}
	if(count>=check_list.length || count<1){
		alert("合分数量必须小于选择的题目数量且大于等于1");
		return;
	}
	
   $('#inputForm').submit();
});
$('.delete-button').click(function () {
    return confirm('确定要清空吗？');
});
</script>	
</body>
</html>